Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaTypeWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaTypeWriter

All Implemented Interfaces:
  Generator

public class JavaTypeWriter
extends Object
implements Generator

This is Wsdl2java's Type Writer. It writes the following files, as appropriate: .java, Holder.java.

Field Summary
`static String` | `HOLDER_IS_NEEDED`

Constructor Summary
`JavaTypeWriter(Emitter emitter, TypeEntry type, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write all the service bindnigs: service and testcase.
`protected JavaWriter` | `getBeanHelperWriter(Emitter emitter, TypeEntry type, Vector elements, TypeEntry base, Vector attributes)` getHelperWriter
`protected JavaWriter` | `getBeanWriter(Emitter emitter, TypeEntry type, Vector elements, TypeEntry base, Vector attributes)` getBeanWriter
`protected JavaWriter` | `getEnumTypeWriter(Emitter emitter, TypeEntry type, Vector v)` getEnumWriter
`protected Generator` | `getHolderWriter(Emitter emitter, TypeEntry type)` getHolderWriter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOLDER_IS_NEEDED

    public static final String HOLDER_IS_NEEDED

See Also:
  Constant Field Values

Constructor Detail

### JavaTypeWriter

    public JavaTypeWriter(Emitter emitter,
                          TypeEntry type,
                          SymbolTable symbolTable)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws IOException

  Write all the service bindnigs: service and testcase.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `IOException`

### getEnumTypeWriter

    protected JavaWriter getEnumTypeWriter(Emitter emitter,
                                           TypeEntry type,
                                           Vector v)

  getEnumWriter

### getBeanWriter

    protected JavaWriter getBeanWriter(Emitter emitter,
                                       TypeEntry type,
                                       Vector elements,
                                       TypeEntry base,
                                       Vector attributes)

  getBeanWriter

### getBeanHelperWriter

    protected JavaWriter getBeanHelperWriter(Emitter emitter,
                                             TypeEntry type,
                                             Vector elements,
                                             TypeEntry base,
                                             Vector attributes)

  getHelperWriter

### getHolderWriter

    protected Generator getHolderWriter(Emitter emitter,
                                        TypeEntry type)

  getHolderWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.